clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
clang::tidy::ProfileData Struct Reference

Container for clang-tidy profiling data. More...

`#include <ClangTidyDiagnosticConsumer.h>`

Collaboration diagram for clang::tidy::ProfileData:
[legend]

## Public Attributes
llvm::StringMap< llvm::TimeRecord > | Records

## Detailed Description

Container for clang-tidy profiling data.

Definition at line 111 of file ClangTidyDiagnosticConsumer.h.

## Member Data Documentation

llvm::StringMap<llvm::TimeRecord> clang::tidy::ProfileData::Records

Definition at line 112 of file ClangTidyDiagnosticConsumer.h.

Referenced by clang::tidy::printProfileData().

The documentation for this struct was generated from the following file:

- ClangTidyDiagnosticConsumer.h